<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'valeryus08';
  	var  $n_reg = '0';
	var  $ncto = '0';
	var  $ntipo = '0';
	var  $ntfa_senc = '0';
	var  $ntfa_doble = '0';
	var  $ntfa_adic = '0';
	var  $npropietario = '0';
	var  $ncolonia = '0';
	var  $ncp = '0';
	var  $ntelefono = '0';
	var  $nteleofna = '0';
	var  $nfax = '0';
	var  $nciudad = '0';
	var  $nestado = '0';
	var  $nobservaciones = '0';
	var  $nstarecep = '0';
	var  $nstaamalla = '0';
	var  $nfueraserv = '0';
	var  $status = '0';
	var  $nfecinifuera = '0';
	var  $nfecfinfuera = '0';
	var  $nusuario = '0';
	var  $nhora = '0';
	
	
	
	
	
	
	
	var  $pordias = '0';
	var  $ocupado = '0';

//Funcion de Revicion
	function revisar(){

		$sql = "SELECT * FROM $this->nom_tabla WHERE ncto like '$this->ncto' or ncto like '$this->ncto'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "insert into $this->nom_tabla ( ncto, ntipo, ntfa_senc, ntfa_doble, ntfa_adic, npropietario, ncolonia, ncp, ntelefono, nteleofna, nfax, nciudad, nestado, nobservaciones, nstarecep, nstaamalla, nfecultocu, nfueraserv, status, nfecinifuera, nfecfinfuera, nusuario, nhora, pordias, ndirecc, npais, ocupado)values('$this->ncto', '$this->ntipo', '$this->ntfa_senc', '$this->ntfa_doble', '$this->ntfa_adic', '$this->npropietario', '$this->ncolonia', '$this->ncp', '$this->ntelefono', '$this->nteleofna', '$this->nfax', '$this->nciudad', '$this->nestado', '$this->nobservaciones', '$this->nstarecep', '$this->nstaamalla', '$this->nfecultocu', '$this->nfueraserv', '$this->status', '$this->nfecinifuera', '$this->nfecfinfuera', '$this->nusuario', '$this->nhora', '$this->pordias', '$this->ndirecc', '$this->npais', '$this->ocupado')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica($n_reg){
		$sql = "UPDATE $this->nom_tabla SET ncto = '$this->ncto', ntipo = '$this->ntipo', ntfa_senc = '$this->ntfa_senc', ntfa_doble = '$this->ntfa_doble', ntfa_adic = '$this->ntfa_adic', npropietario = '$this->npropietario', ncolonia = '$this->ncolonia', ncp = '$this->ncp', ntelefono = '$this->ntelefono', nteleofna = '$this->nteleofna', nfax = '$this->nfax', nciudad = '$this->nciudad', nestado = '$this->nestado', nobservaciones = '$this->nobservaciones', nstarecep = '$this->nstarecep', nstaamalla = '$this->nstaamalla', nfecultocu = '$this->nfecultocu', nfueraserv = '$this->nfueraserv', status = '$this->status', nfecinifuera = '$this->nfecinifuera', nfecfinfuera = '$this->nfecfinfuera', nusuario = '$this->nusuario', nhora = '$this->nhora', pordias = '$this->pordias', ocupado = '$this->ocupado', acc_hor='".date('H:i:s')."', acc_fec='".date('Y-m-d')."',usuario= '".$_SESSION['usuario']."' where n_reg='$n_reg' ";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($n_reg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>